SEP-6 SEP-31
The customer’s status for the transaction has been updated. Use this method to notify the wallet of the status change. If customer_id and customer_type are provided, the transaction status will reflect the customer’s status. If not, the transaction status will default to the standard pending status for the SEP.
Params (4)
string
required
The unique identifier of this transaction.A unique transaction identifier.
string
Human readable explanation of transaction status.A human readable message.
string
The SEP-12 ID of the customer
string
The SEP-12 type of the customer
Result
(notify_customer_info_updatedResponse)string
A unique transaction identifier.
integer
Protocol of the transaction.Available options:
6, 24, 31string
The kind of transaction that is desired.Available options:
undefined, receive, deposit, deposit-exchange, withdrawal, withdrawal-exchangestring
Processing status of the transaction.Available options:
pending_anchor, pending_trust, pending_user, pending_user_transfer_start, pending_user_transfer_complete, incomplete, no_market, too_small, too_large, pending_sender, pending_receiver, pending_transaction_info_update, pending_customer_info_update, completed, refunded, expired, error, pending_external, pending_stellarobject
The amount expected in the payment.
object
Amount expected/received by anchor.
object
The amount expected to be sent by anchor to user at end of transaction.
object
Description of fee charged by the anchor.
string
The id returned from a SEP-38 POST /quote response
string
Start date and time of transaction.
string
The date and time of transaction reaching the current status.
string
The date and time of transaction reaching completed or refunded status.
string
The date and time of receiving transfer.
string
Human readable explanation of transaction status
object
An object describing any on or offchain refund associated with this transaction.
Example
Example request to thenotify_customer_info_updated method.
Request